package zero1hd.rhythmbullet.desktop.screens.main;

import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;

import zero1hd.rhythmbullet.graphics.ui.Page;

public class CreditsPage extends Page {
	
	public CreditsPage(Skin skin) {
		super(0, 1);
		
		Label title = new Label("Credits", skin, "large-font", skin.getColor("default"));
		title.setPosition(15, getHeight()-title.getHeight()-15);
		addActor(title);
		
		Label subtitle = new Label("This game wouldn't be possible without these people.", skin, "sub-font", skin.getColor("default"));
		subtitle.setPosition(title.getX(), title.getY()-subtitle.getHeight());
		addActor(subtitle);
		
		Label listOfNames = new Label(
				"TheClimbingHippo (texture)\n"
				+ "Crepitus (sound effects)\n"
				+ "Neoqueto - Darktech LDR (font)\n"
				+ "Rémi Lagast - Gasalt (font)\n"
				+ "Timour Jgenti - Iron Maiden (font)", skin, "sub-font", skin.getColor("default"));
		listOfNames.setPosition(subtitle.getX()+16, subtitle.getY()-listOfNames.getHeight()-10);
		addActor(listOfNames);
	}
}
